from setuptools import setup

APP = ['borgend.py']
DATA_FILES = []
OPTIONS = {
    'argv_emulation': False,
    'plist': {
        'LSUIElement': True,
    },
    'packages': ['rumps', 'keyring', 'yaml'],
    'includes': ['xdg'],
    'excludes': ['wx', 'PyQt5', 'matplotlib', 'numpy', 'scipy'],
}

setup(
    app=APP,
    data_files=DATA_FILES,
    options={'py2app': OPTIONS},
    setup_requires=['py2app'],
)
